Bug 824069 - katello CLI 'product list' should show marketing and engineering product relationships
katello CLI 'product list' should show marketing and engineering product rela...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: Triaged, ZStream
: 795525 (view as bug list)
Depends On:
Blocks: sam12-tracker 829759
  Show dependency treegraph
 
Reported: 2012-05-22 12:43 EDT by Tom McKay
Modified: 2014-01-27 09:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The command 'katello product list' displayed both engineering and marketing products. This fix changes the default behavior to display only engineering products. Use the "--all" option to view all the products. Additionally, marketing products from the subscriptions are accessed via the "subscriptions" CLI command.
Story Points: ---
Clone Of:
: 829759 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:46:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-05-22 12:43:26 EDT
Description of problem:

There are two types of products, marketing and engineering. The CLI 'product list' should show their relationship and not display them all in a flat list.


Actual results:
[tomckay@tomckay katello{master}]$ cli/bin/katello -u admin -p admin product list --org BZ822665
--------------------------------------------------------------------------------
        Product List For Organization BZ822665, Environment 'Library'

 Id          Name                                                                     Provider Id   Provider Name   Sync Plan Name   Last Sync   GPG key
--------------------------------------------------------------------------------
 69          Red Hat Enterprise Linux Server                                          2             Red Hat         None             never
 RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   2             Red Hat         None             never

Expected results:
[tomckay@tomckay katello{master}]$ cli/bin/katello -u admin -p admin product list --org BZ822665
--------------------------------------------------------------------------------
        Product List For Organization BZ822665, Environment 'Library'

 Id          Name                                                                     Provider Id   Provider Name   Sync Plan Name   Last Sync   GPG key
--------------------------------------------------------------------------------
 + RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   2             Red Hat         None             never
 | 69          Red Hat Enterprise Linux Server                                          2             Red Hat         None             never

Not sure how to represent hierarchy relationships in text table, but that's the idea.  69 is a child engr product of RH0197181.
Comment 2 Ivan Necas 2012-05-23 08:53:31 EDT
the marketing products are shown with listing subscriptions. Therefore it could probably be possible to exclude them from products list, that is needed mainly for changesets (to know what proudcts can be promoted etc.)
Comment 3 Lukas Zapletal 2012-05-23 09:22:43 EDT
Taking, need pm ack.
Comment 5 Lukas Zapletal 2012-05-24 04:29:43 EDT
In the 

katello product list

we show both marketing and engineering products. This is very confusing, so by default we now show only engineering products. To see them all use --all option.

Marketing product from the subscriptions point of view can be accessed via "subscriptions" cli commands.

https://github.com/Katello/katello/pull/142
Comment 6 Ivan Necas 2012-05-24 05:13:10 EDT
Merged in commits:
cdbc4fd7
857bf989
Comment 12 Lukas Zapletal 2012-08-27 11:53:08 EDT
*** Bug 795525 has been marked as a duplicate of this bug. ***
Comment 14 Og Maciel 2012-09-16 08:54:32 EDT
# katello -u admin -p admin product list --org PepsiCo
--------------------------------------------------------------------------------------------------------------------
                           Product List For Organization PepsiCo, Environment 'Library'

 Id              Name                              Provider Id   Provider Name   Sync Plan Name   Last Sync             GPG key  
--------------------------------------------------------------------------------------------------------------------
 1347797081009   Zoo                               5             Animals         None             2012/09/16 08:12:30            
 69              Red Hat Enterprise Linux Server   2             Red Hat         None             2012/09/14 20:55:30            
 180             Red Hat Beta                      2             Red Hat         None             never                          


# katello -u admin -p admin product list --org PepsiCo --all
--------------------------------------------------------------------------------------------------------------------
                           Product List For Organization PepsiCo, Environment 'Library'

 Id              Name                                                                     Provider Id   Provider Name   Sync Plan Name   Last Sync             GPG key  
--------------------------------------------------------------------------------------------------------------------
 1347797081009   Zoo                                                                      5             Animals         None             2012/09/16 08:12:30            
 RH0101594       Red Hat Enterprise Linux Server Standard 1-2 sockets Up to 1 guest       2             Red Hat         None             never                          
 RH0149709F3     Red Hat Enterprise Linux Server Standard 1-2 sockets Up to 4 guests      2             Red Hat         None             never                          
 RH0197181       Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   2             Red Hat         None             never                          
 69              Red Hat Enterprise Linux Server                                          2             Red Hat         None             2012/09/14 20:55:30            
 180             Red Hat Beta                                                             2             Red Hat         None             never
Comment 15 Og Maciel 2012-09-16 08:55:30 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 18 errata-xmlrpc 2012-12-04 14:46:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.